<?xml version="1.0" encoding="UTF-8"?>
<module name="org.infinispan.extension" slot="ispn-9.4" xmlns="urn:jboss:module:1.5">
   <properties>
      <property name="jboss.api" value="private"/>
   </properties>

   <resources>
      <artifact name="org.infinispan.server:infinispan-server-infinispan:9.4.0.Alpha1"/>
   </resources>

   <dependencies>
      <module name="javax.api"/>
      <module name="javax.transaction.api"/>
      <module name="org.infinispan.commons" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.core" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.persistence.jdbc" slot="ispn-9.4"/>
      <module name="org.infinispan.persistence.remote" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.persistence.rest" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.persistence.rocksdb" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.hotrod.client" optional="true" slot="ispn-9.4"/>
      <module name="org.infinispan.cli.interpreter" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.server" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.server.commons" slot="ispn-9.4"/>
      <module name="org.infinispan.server.event-logger" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.server.hotrod" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.server.jgroups" optional="true" slot="ispn-9.4"/>
      <module name="org.infinispan.server.memcached" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.server.rest" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.objectfilter" slot="ispn-9.4"/>
      <module name="org.infinispan.query" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.remote-query.server" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.scripting" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.tasks" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.tasks.api" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.counter" services="import" slot="ispn-9.4"/>
      <module name="org.jgroups" slot="ispn-9.4"/>
      <module name="org.jgroups.extension" slot="ispn-9.4"/>

      <module name="org.apache.commons.io" slot="ispn-9.4"/>

      <module name="org.jboss.as.controller"/>
      <module name="org.jboss.as.ee"/>
      <module name="org.jboss.as.jmx"/>
      <module name="org.jboss.as.naming"/>
      <module name="org.jboss.as.network"/>
      <module name="org.jboss.as.server"/>
      <module name="org.jboss.as.threads"/>
      <module name="org.jboss.as.transactions"/>
      <module name="org.jboss.jboss-transaction-spi"/>
      <module name="org.jboss.logging"/>
      <module name="org.jboss.marshalling" slot="ispn-9.4"/>
      <module name="org.jboss.modules"/>
      <module name="org.jboss.msc"/>
      <module name="org.jboss.staxmapper"/>
      <module name="org.jboss.threads"/>
   </dependencies>
</module>
